package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

//陪练课可选单课时时长配置
public class PracticeTimesSetting {

    @NotNull(message = "课间休息分钟数不可为空")
    @ApiModelProperty(value = "课间休息分钟数")
    private Integer freeMinutes;

    @NotNull(message = "单课时分钟数不可为空")
    @ApiModelProperty(value = "单课时分钟数")
    private Integer courseMinutes;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "默认配置(1:是 0:否)")
    private Integer defaultFlag;

    public Integer getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Integer defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getFreeMinutes() {
        return freeMinutes;
    }

    public void setFreeMinutes(Integer freeMinutes) {
        this.freeMinutes = freeMinutes;
    }

    public Integer getCourseMinutes() {
        return courseMinutes;
    }

    public void setCourseMinutes(Integer courseMinutes) {
        this.courseMinutes = courseMinutes;
    }
}
